#/bin/bash
if [ "$1" == "build" ]; then
    node node.js/QcloudClsSignature.js> /dev/null 2>&1
    python python/QcloudClsSignature.py > /dev/null 2>&1
    php php/QcloudClsSignature.php > /dev/null 2>&1

    echo "build go..."
    go build go/QcloudClsSignature.go

    echo "build c++..."
    g++ -o c++/QcloudClsSignature c++/QcloudClsSignature.cpp -lssl -lcrypto

    echo "build c#..."
    mcs c\#/QcloudClsSignature.cs

    echo "build java..."
    cd java/; mvn package > /dev/null 2>&1; cd ..
fi

if [ "$1" == "run" ]; then
    echo "run node.js..."
    node node.js/QcloudClsSignature.js
    echo ""
	
    python python/QcloudClsSignature.py
    echo ""

    echo "run php..."
    php php/QcloudClsSignature.php
    echo ""

    echo "run go..."
    ./QcloudClsSignature
    echo ""

    echo "run c++..."
    ./c++/QcloudClsSignature
    echo ""

    echo "run c#..."
    mono c\#/QcloudClsSignature.exe
    echo ""

    echo "run java..."
    java -jar java/target/*.jar
    echo ""
fi
